Retrieve details of tenant Google integrations settings.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
client_idstringOptional
The client ID of Google Cloud project.
client_secretstringOptional
The client secret of Google Cloud project.
redirect_uristringRead-onlyOptional
Redirect URI. The URIs we will accept as destinations when returning authentication responses (tokens) after successfully authenticating or signing out users.
The redirect URI you send in the request to the login server should match one listed here. Also referred to as reply URLs.
sbc_redirect_uristringRead-onlyOptional
Same as the redirect_uri, but via the sbc network topology.
auth_consent_uristringRead-onlyOptional
The Google OAuth2 consent uri.
4XX
Error
get
/googleUpdate tenant Google integration settings.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
client_idstringOptional
The client ID of Google Cloud project.
client_secretstringOptional
The client secret of Google Cloud project.
Responses
200
OK
No content
4XX
Error
post
/googleNo content